package com.ads.cal.calculator.utils;


import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;

public class SensorUtils {

    public static String getDirectionFromAngle(double angle) {
        // 将角度规范化到0到360度之间
        angle = (angle % 360 + 360) % 360;

        // 定义方向的范围
        if (angle >= 68 && angle < 113) {
            return "东";
        } else if (angle >= 23 && angle < 68) {
            return "东北";
        }  else if (angle >= 113 && angle < 157) {
            return "东南";
        } else if (angle >= 157 && angle < 203) {
            return "南";
        }  else if (angle >= 203 && angle < 248) {
            return "西南";
        } else if (angle >= 248 && angle < 293) {
            return "西";
        } else if (angle >= 293 && angle < 338) {
            return "西北";
        } else {
            return "北";
        }
    }
}
